FastaFormat (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.FastaFormat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class FastaFormat

    java.lang.Object
      org.biojava.bio.seq.io.FastaFormat

All Implemented Interfaces:
  Serializable, EventListener, SequenceFormat, ParseErrorListener, ParseErrorSource

Deprecated. Use org.biojavax.bio.seq.io.FastaFormat

    public class FastaFormat

extends Object
implements SequenceFormat, Serializable, ParseErrorListener, ParseErrorSource

Format object representing FASTA files. These files are almost pure sequence data. The only `sequence property' reported by this parser is PROPERTY_DESCRIPTIONLINE, which is the contents of the sequence's description line (the line starting with a '>' character). Normally, the first word of this is a sequence ID. If you wish it to be interpreted as such, you should use FastaDescriptionLineParser as a SeqIO filter. If you pass it a RichSeqIOListener, you'll get RichSequence objects in return. Likewise, if you write RichSequence objects, you'll get absolutely correct FASTA formatted output.

Author:
  Thomas Down, Matthew Pocock, Greg Cox, Lukas Kall, Richard Holland, Mark Schreiber
See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT` Deprecated.
`protected int` | `lineWidth` Deprecated. The line width for output.
`protected Vector` | `mListeners` Deprecated.
`static String` | `PROPERTY_DESCRIPTIONLINE` Deprecated. Constant string which is the property key used to notify listeners of the description lines of FASTA sequences.

Constructor Summary
`FastaFormat()` Deprecated.

Method Summary
`void` | `addParseErrorListener(ParseErrorListener theListener)` Deprecated. Adds a parse error listener to the list of listeners if it isn't already included.
`void` | `BadLineParsed(ParseErrorEvent theEvent)` Deprecated. This method determines the behaviour when a bad line is processed.
`protected String` | `describeSequence(Sequence seq)` Deprecated. Return a suitable description line for a Sequence.
`String` | `getDefaultFormat()` Deprecated.
`int` | `getLineWidth()` Deprecated. Retrive the current line width.
`protected void` | `notifyParseErrorEvent(ParseErrorEvent theEvent)` Deprecated. Passes the event on to all the listeners registered for ParseErrorEvents.
`boolean` | `readSequence(BufferedReader reader, SymbolTokenization symParser, SeqIOListener siol)` Deprecated. Reads information from a flatfile to a `SeqIOListener` using a `SymbolTokenizer` to convert sequence strings to `Symbol` objects.
`void` | `removeParseErrorListener(ParseErrorListener theListener)` Deprecated. Removes a parse error listener from the list of listeners if it is included.
`void` | `setLineWidth(int width)` Deprecated. Set the line width.
`void` | `writeSequence(Sequence seq, PrintStream os)` Deprecated. Writes a `Sequence` or `RichSequence` to a `PrintStream` in FASTA format.
`void` | `writeSequence(Sequence seq, String format, PrintStream os)` Deprecated. use writeSequence(Sequence seq, PrintStream os)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final String DEFAULT

  Deprecated.
  See Also:
    Constant Field Values

### PROPERTY_DESCRIPTIONLINE

    public static final String PROPERTY_DESCRIPTIONLINE

  Deprecated.
  Constant string which is the property key used to notify listeners of the description lines of FASTA sequences.

  See Also:
    Constant Field Values

### mListeners

    protected Vector mListeners

  Deprecated.

### lineWidth

    protected int lineWidth

  Deprecated.
  The line width for output.

Constructor Detail

### FastaFormat

    public FastaFormat()

  Deprecated.

Method Detail

### getLineWidth

    public int getLineWidth()

  Deprecated.
  Retrive the current line width.

  Returns:
    the line width

### setLineWidth

    public void setLineWidth(int width)

  Deprecated.
  Set the line width.

  When writing, the lines of sequence will never be longer than the line width.

  Parameters:
    `width` - the new line width

### readSequence

    public boolean readSequence(BufferedReader reader,
                                SymbolTokenization symParser,
                                SeqIOListener siol)
                         throws IllegalSymbolException,
                                IOException,
                                ParseException

  Deprecated.
  Reads information from a flatfile to a `SeqIOListener` using a `SymbolTokenizer` to convert sequence strings to `Symbol` objects.

  Specified by:
    `readSequence` in interface `SequenceFormat`
  Parameters:
    `reader` - The reader that is the source of the information
    `symParser` - converts text seqeunce to biojava objects
    `siol` - The listener that listens for event callbacks from this class. The listener can be a `RichSeqIOListener`.
  Returns:
    true if there is another unread sequence in the source.
  Throws:
    `IllegalSymbolException` - if `symParser` doesn't know how to convert the text sequence into biojava `Symbol`s
    `IOException` - if there is a problem reading.
    `ParseException` - if the source cannot be parsed.

### describeSequence

    protected String describeSequence(Sequence seq)

  Deprecated.
  Return a suitable description line for a Sequence. If the sequence's annotation bundle contains PROPERTY_DESCRIPTIONLINE, this is used verbatim. Otherwise, the sequence's name is used.

### writeSequence

    public void writeSequence(Sequence seq,
                              PrintStream os)
                       throws IOException

  Deprecated.
  Writes a `Sequence` or `RichSequence` to a `PrintStream` in FASTA format. If the sequence is a `RichSequence` the format of the header will be in line with the NCBI standard.

  Specified by:
    `writeSequence` in interface `SequenceFormat`
  Parameters:
    `seq` - the sequence to format
    `os` - the stream to write the sequence to. To print to screen use `System.out`
  Throws:
    `IOException` - if data cannot be written to `os`

### writeSequence

    public void writeSequence(Sequence seq,
                              String format,
                              PrintStream os)
                       throws IOException

  Deprecated. use writeSequence(Sequence seq, PrintStream os)

  `writeSequence` writes a sequence to the specified `PrintStream`, using the specified format.

  Specified by:
    `writeSequence` in interface `SequenceFormat`
  Parameters:
    `seq` - a `Sequence` to write out.
    `format` - a `String` indicating which sub-format of those available from a particular `SequenceFormat` implemention to use when writing.
    `os` - a `PrintStream` object.
  Throws:
    `IOException` - if an error occurs.

### getDefaultFormat

    public String getDefaultFormat()

  Deprecated.

  `getDefaultFormat` returns the String identifier for the default format.

  Specified by:
    `getDefaultFormat` in interface `SequenceFormat`
  Returns:
    a `String`.

### addParseErrorListener

    public void addParseErrorListener(ParseErrorListener theListener)

  Deprecated.
  Adds a parse error listener to the list of listeners if it isn't already included.

  Specified by:
    `addParseErrorListener` in interface `ParseErrorSource`
  Parameters:
    `theListener` - Listener to be added.

### removeParseErrorListener

    public void removeParseErrorListener(ParseErrorListener theListener)

  Deprecated.
  Removes a parse error listener from the list of listeners if it is included.

  Specified by:
    `removeParseErrorListener` in interface `ParseErrorSource`
  Parameters:
    `theListener` - Listener to be removed.

### BadLineParsed

    public void BadLineParsed(ParseErrorEvent theEvent)

  Deprecated.
  This method determines the behaviour when a bad line is processed. Some options are to log the error, throw an exception, ignore it completely, or pass the event through.

  This method should be overwritten when different behavior is desired.

  Specified by:
    `BadLineParsed` in interface `ParseErrorListener`
  Parameters:
    `theEvent` - The event that contains the bad line and token.

### notifyParseErrorEvent

    protected void notifyParseErrorEvent(ParseErrorEvent theEvent)

  Deprecated.
  Passes the event on to all the listeners registered for ParseErrorEvents.

  Parameters:
    `theEvent` - The event to be handed to the listeners.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD